# azure.mgmt.recoveryservices package

## Submodules

- azure.mgmt.recoveryservices.models module
- azure.mgmt.recoveryservices.operations module

## Module contents

class `azure.mgmt.recoveryservices.``RecoveryServicesClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Recovery Services Client

  Variables:

  - config (RecoveryServicesClientConfiguration) – Configuration for client.
  - vault_certificates (azure.mgmt.recoveryservices.operations.VaultCertificatesOperations) – VaultCertificates operations
  - registered_identities (azure.mgmt.recoveryservices.operations.RegisteredIdentitiesOperations) – RegisteredIdentities operations
  - replication_usages (azure.mgmt.recoveryservices.operations.ReplicationUsagesOperations) – ReplicationUsages operations
  - recovery_services (azure.mgmt.recoveryservices.operations.RecoveryServicesOperations) – RecoveryServices operations
  - vaults (azure.mgmt.recoveryservices.operations.VaultsOperations) – Vaults operations
  - operations (azure.mgmt.recoveryservices.operations.Operations) – Operations operations
  - vault_extended_info (azure.mgmt.recoveryservices.operations.VaultExtendedInfoOperations) – VaultExtendedInfo operations
  - usages (azure.mgmt.recoveryservices.operations.UsagesOperations) – Usages operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The subscription Id.
  - base_url (str) – Service URL